use 5.005;

use strict;
use ExtUtils::MakeMaker;

my $modules_dir = 'modules';

my %prereq_modules = ( "Net::FTP"           => 2.53,
		       "Class::MethodMaker" => 0.96,
		     );

print
  "If you get a warning below about needing prerequisite modules,\n",
  "please get them from CPAN and install them.\n";


WriteMakefile
  ( AUTHOR        => 'Lars Clausen lrclause@uiuc.edu, Frank J. Tobin ftobin@uiuc.edu',
    ABSTRACT_FROM => 'paraget',
    NAME          => 'paraget',
    VERSION_FROM  => 'paraget',
    
    EXE_FILES     => [ 'paraget', 'paraget-child' ],
    
    clean         => { FILES => "*/*/*/*~ */*/*/*/*~" },
    
    dist => {
	     COMPRESS   => 'gzip', 
	     SUFFIX     => 'gz',
	    },
    
    PREREQ_PM => { %prereq_modules },
  );
